#ifndef FLIP_H
#define FLIP_H

#include "processingbase.h"

class Flip : public ProcessingBase
{

public:
    QImage processing(const QImage &image, const QVariant &args); //旋转

private:
    QImage rotateRight(const QImage &image); //顺时针旋转
    QImage rotateLeft(const QImage &image);  //顺时针旋转
    QImage flipH(const QImage &image);       //水平翻转
    QImage flipV(const QImage &image);       //垂直翻转
};

#endif // FLIP_H
